(function() {
	/********************************************
	 * WiFi
	 * アクセスポイントの接続を行う(Androidのみ)
	 ********************************************/

	/*
	 * Wifi設定を登録して接続(WPA)
	 */
	connectWifiWPA = function() {
		event.preventDefault();
		var options = {
			ssid:     "myWiFi1",
			security: applican.wifi.SecurityType.WPA,
			password: "sample_password"
		};

		applican.wifi.connect(connectWifiSuccess, connectWifiError, options);
	};


	/*
	 * Wifi設定を登録して接続(WEP)
	 */
	connectWifiWEP = function() {
		event.preventDefault();
		var options = {
			ssid:     "myWiFi2",
			security: applican.wifi.SecurityType.WEP,
			password: "sample_password"
		};

		applican.wifi.connect(connectWifiSuccess, connectWifiError, options);
	};

	/*
	 * Wifi設定を登録するだけ
	 */
	connectWifiSettingsOnly = function() {
		event.preventDefault();
		var options = {
			ssid:         "myWiFi3",
			security:     "WEP",
			password:     "sample_password",
			allowConnect: false
		};

		applican.wifi.connect(connectWifiSuccess, connectWifiError, options);
	};

	/*
	 * Wifi設定を登録して接続成功した時のコールバック(WPA)
	 * result : 登録／接続が成功時にターゲットのSSID
	 */
	connectWifiSuccess = function(result) {
		var dump = "Wifi接続成功しました。\n";
		dump    += "result: " + result + "\n";
		document.getElementById("dumpAreaWiFiSetting").value = dump;
	};

	/*
	 * Wifi設定を登録して接続失敗した時のコールバック(WPA)
	 * err.code : エラーコード
	 * 			PERMISSION_DENIED	パーミッションエラー
	 * 			UNKNOWN_ERROR		不明なエラー
	 * 			DISCONNECT			WiFiが無効
	 * 			ILLEGAL_PARAMETER	不正なパラメータ
	 * 			CONNECT_FAILED		接続失敗(APが無い、パスワード誤りなど)
	 */
	connectWifiError = function(err) {
		var dump = "Wifi接続失敗しました。\n";
		dump    += "エラーコード: " + err.code + "\n";
		document.getElementById("dumpAreaWiFiSetting").value = dump;
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「WiFi設定を登録して接続(WPA)」ボタン押下処理
		document.getElementById("connectWifiWPABtn").addEventListener("touchend", connectWifiWPA, false);
		// 「WiFi設定を登録して接続(WEP)」ボタン押下処理
		document.getElementById("connectWifiWEPBtn").addEventListener("touchend", connectWifiWEP, false);
		// 「WiFi設定を登録のみする」ボタン押下処理
		document.getElementById("connectWifiSettingsOnlyBtn").addEventListener("touchend", connectWifiSettingsOnly, false);
	}, false);
})();
