(function() {
	/***********************************
	 * WiFi
	 * AndroidのWiFiの稼働状況の取得、
	 * ON／OFFの設定を行う(Androidのみ)
	 ***********************************/

	/*
	 * WiFiの稼働状況を読み取る
	 */
	getWiFiStatus = function() {
		event.preventDefault();
		applican.wifi.getStatus(getWiFiStatusSuccess, getWiFiStatusError);
	};

	/*
	 * WiFiの稼働状況の読み取りに成功した時のコールバック
	 * status : WiFiの稼働状況
	 * 			WIFI_ON		現在WiFiがON
	 * 			WIFI_OFF	現在WiFiがOFF
	 */
	getWiFiStatusSuccess = function(status) {
		var dump = "WiFiの稼働状況の読み取りに成功しました。\n";
		dump    += "状態: " + status + "\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/*
	 * WiFiの稼働状況の読み取りに失敗した時のコールバック
	 * error.code : エラーコード
	 * 				PERMISSION_DENIED	パーミッションエラー
	 * 				UNKNOWN_ERROR		不明なエラー
	 * 				DISCONNECT			WiFiが無効
	 * 				ILLEGAL_PARAMETER	不正なパラメータ
	 * 				CONNECT_FAILED		接続失敗(APが無い、パスワード誤りなど)
	 */
	getWiFiStatusError = function(error) {
		var dump = "WiFiの稼働状況の読み取りに失敗しました。\n";
		dump    += "エラーコード: " + error.code + "\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/*
	 * WiFIをONに設定
	 */
	onWiFi = function() {
		event.preventDefault();
		applican.wifi.on(onWiFiSuccess, onWiFiError);
	};

	/*
	 * WiFIをONに設定成功した時のコールバック
	 */
	onWiFiSuccess = function() {
		var dump = "WiFIをONに設定成功しました。\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/*
	 * WiFIをONに設定失敗した時のコールバック
	 * error.code : エラーコード
	 * 				PERMISSION_DENIED	パーミッションエラー
	 * 				UNKNOWN_ERROR		不明なエラー
	 * 				DISCONNECT			WiFiが無効
	 * 				ILLEGAL_PARAMETER	不正なパラメータ
	 * 				CONNECT_FAILED		接続失敗(APが無い、パスワード誤りなど)
	 */
	onWiFiError = function(error) {
		var dump = "WiFIをONに設定失敗しました。\n";
		dump    += "エラーコード: " + error.code + "\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/*
	 * WiFIをOFFに設定
	 */
	offWiFi = function() {
		event.preventDefault();
		applican.wifi.off(offWiFiSuccess, offWiFiError);
	};

	/*
	 * WiFIをOFFに設定成功した時のコールバック
	 */
	offWiFiSuccess = function() {
		var dump = "WiFIをOFFに設定成功しました。\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/*
	 * WiFIをOFFに設定失敗した時のコールバック
	 * error.code : エラーコード
	 * 				PERMISSION_DENIED	パーミッションエラー
	 * 				UNKNOWN_ERROR		不明なエラー
	 * 				DISCONNECT			WiFiが無効
	 * 				ILLEGAL_PARAMETER	不正なパラメータ
	 * 				CONNECT_FAILED		接続失敗(APが無い、パスワード誤りなど)
	 */
	offWiFiError = function(error) {
		var dump = "WiFIをOFFに設定失敗しました。\n";
		dump    += "エラーコード: " + error.code + "\n";
		document.getElementById("dumpAreaWiFi").value = dump;
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		document.getElementById("getWiFiStatusBtn").addEventListener("touchend", getWiFiStatus, false);
		document.getElementById("wifiOnBtn").addEventListener("touchend", onWiFi, false);
		document.getElementById("wifiOffBtn").addEventListener("touchend", offWiFi, false);
	}, false);

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「WiFiの状態取得」ボタン押下処理
		document.getElementById("getWiFiStatusBtn").addEventListener("touchend", getWiFiStatus, false);
		// 「WiFiをONにする」ボタン押下処理
		document.getElementById("wifiOnBtn").addEventListener("touchend", onWiFi, false);
		// 「WiFiをOFFにする」ボタン押下処理
		document.getElementById("wifiOffBtn").addEventListener("touchend", offWiFi, false);
	}, false);
})();
